"use strict";

var _constants = require("@instructure/quiz-common/lib/constants");

var _postMessage = require("../postMessage");

describe('postMessage actions', function () {
  it('returns a well-formed post to parent action', function () {
    var messageData = {
      subject: 'quizzesNext.postTest'
    };
    var postToParentAction = (0, _postMessage.postToParent)(messageData);
    expect(postToParentAction).to.deep.equal({
      type: _constants.POST_TO_PARENT,
      payload: messageData
    });
  });
});